# Validate a SSN

Check if the Social Security Number is within the acceptable range, and match against the First and Last Name.

Endpoint: GET /doLookup

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `t` (string)
    Transmission Reference - Serves as a unique request identifier.

  - `id` (any, required)
    Required. The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

  - `ssn` (string, required)
    Required. This is a string value containing the Social Security Number. All hyphens are ignored when submitting the SSN. We recommended using only numbers when submitting the SSN.
    Example: "111222333"

  - `first` (string, required)
    Required. The given (first) name.
    Example: "John"

  - `last` (string, required)
    Required. The family (last) name.
    Example: "Doe"

  - `full` (string)
    Required. This field can contain a full name. We will parse and check Names only if the First Name and Last Name fields are left blank.
    Example: "John Doe"

  - `format` (string)
    Sets the format of the response.
    Example: "json"

## Response 200 fields (application/json):

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [SSN Name Match Result Codes](https://docs.melissa.com/cloud-api/ssn-name-match/result-codes.html).

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `Version` (string)
    The current service version number.

  - `TotalRecords` (string)
    Total number of records.

  - `Records` (array)

  - `Records.RecordID` (string)
    The record ID.

  - `Records.SSN` (string)
    The Social Security Number submitted for validation.

  - `Records.IssuingState` (string)
    The issuing state calculated by using the SSN Area Number (first 3 digits of the SSN).

  - `Records.Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [SSN Name Match Result Codes](https://docs.melissa.com/cloud-api/ssn-name-match/result-codes.html).

  - `Records.ResultsFromDataSource` (string)
    Comma delimited status, error codes, and change codes from the Data Source.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


